body {
  margin: 0;
  padding: 0;
}

.container {
  width: 310px;
  margin-left: 5px;
  box-sizing: border-box;
}

#location {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 21px;

}


#temperature {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 21px;
}

#icon {
  margin-top: 40px;
}

#message {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 700;
  font-size: 37px;
  font-style: bold;
  width: 310px;
  margin-top: 10px;
}


#forecast {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: stretch;
  text-align: left;
  width: 100%;
  max-width: none;
}

.forecast-row {
  display: flex;
  justify-content: space-between;
  width: 100%;
  border-bottom: 1px dotted #aaa;
  padding: 10px;
  font-family: sans-serif;
  font-weight: 400;
  font-style: Regular;
  font-size: 21px;
  box-sizing: border-box;
}

.search {
  display: flex;
  align-items: center;
  margin-bottom: 24px;
}

.search input {
  border: 0;
  outline: 0;
  color: #555;
  padding: 5px 15px;
  height: 30px;
  border-radius: 5px;
  flex: 1;
  margin-right: 10px;
  font-size: 18px;
}

.search-btn {
  height: 40px;
  width: 80px;
  border: 0;
  outline: 0;
  border-radius: 10%;
  cursor: pointer;
  margin-right: 15px;
}

@media (min-width: 768px) {
  body {
    display: flex;
    justify-content: center;
  }

  .container {
    width: 500px;
  }

  #message {
    width: 100%;
  }

  #forecast {
    width: 100%;
  }

  .forecast-row {
    width: 100%;
  }

}